当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : conkeror只能装adblock?
帖子发表于 : 2010-11-05 10:25 

注册: 2009-10-30 8:49
帖子: 167
送出感谢: 0 次
接收感谢: 0 次
看了下网上的manual,说不兼容可以这样做:
往.xpi里面的 install.rdf 文件添加一段
<em:targetApplication>
<Description>
<em:id>{a79fe89b-6662-4ff4-8e88-09950ad4dfde}</em:id>
<em:minVersion>0.1</em:minVersion>
<em:maxVersion>9.9</em:maxVersion>
</Description>
</em:targetApplication>

原文:http://conkeror.org/Extensions
操作完后,安装时说找不到 安装脚本!!!!

用emacs的朋友你们是什么折腾的, 其它的扩展都不兼容。。暴汗!!其实我也只要四个扩展,adblock, firegesture, babel fish, delicious adblock已经装上了。还差3个。。。

PS:最近心血来潮,想看看emacs是什么样子 :em05


页首
 用户资料  
 
2 楼 
 文章标题 : Re: conkeror只能装adblock?
帖子发表于 : 2010-11-22 3:01 

注册: 2008-10-03 23:07
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
我刚刚开始学emacs。想多练习练习于是装了Conkeror。但还不是很会,
顶贴先~
然后去试试安装


页首
 用户资料  
 
3 楼 
 文章标题 : Re: conkeror只能装adblock?
帖子发表于 : 2010-11-22 3:15 

注册: 2008-10-03 23:07
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
adblock plus装了,可以用。

但是油猴我直接下的addons.mozilla.org里面 greasemonkey-0.8.20100408.6-fx.xpi ,提示说不兼容:

引用:
Greasemonkey 0.8.20100408.6 could not be installed because it is not compatible with Conkeror 0.9.2 (Debian-0.9.2+git100804-1ubuntu1).


ubuntu10.10 x64


页首
 用户资料  
 
4 楼 
 文章标题 : Re: conkeror只能装adblock?
帖子发表于 : 2010-11-22 4:13 

注册: 2008-10-03 23:07
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
通过你那个方法,我重新打包了 greasemonkey ,还有 google gears 。 都装好了。
但是在userscrpits.org 找某一个脚本比如 http://userscripts.org/scripts/show/39159
点install,会直接打开.js的源代码,无法呼出greasemonkey安装上去。

郁闷。不知道怎么解决。。。


×××××××××


楼主你的那个问题,是不是因为没有压缩成.zip格式?或者是不是不是把所有文件直接打包,而是把文件放在一层文件夹中,再打包了文件夹?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: conkeror只能装adblock?
帖子发表于 : 2010-11-22 16:35 

注册: 2009-10-30 8:49
帖子: 167
送出感谢: 0 次
接收感谢: 0 次
ziegfeld 写道:
通过你那个方法,我重新打包了 greasemonkey ,还有 google gears 。 都装好了。
但是在userscrpits.org 找某一个脚本比如 http://userscripts.org/scripts/show/39159
点install,会直接打开.js的源代码,无法呼出greasemonkey安装上去。

郁闷。不知道怎么解决。。。


×××××××××


楼主你的那个问题,是不是因为没有压缩成.zip格式?或者是不是不是把所有文件直接打包,而是把文件放在一层文件夹中,再打包了文件夹?


:em06 不好意思,现在都,我放弃EMACS了.资质太浅了.这玩意真的折腾不来. 对啊,我就是直接打成zip了........你是怎么打包的.......


页首
 用户资料  
 
6 楼 
 文章标题 : Re: conkeror只能装adblock?
帖子发表于 : 2010-11-24 5:17 

注册: 2008-10-03 23:07
帖子: 31
送出感谢: 0 次
接收感谢: 0 次
我也是直接打包zip的……

不清楚为什么……

但是油猴我是到现在还没搞定……无法安装userscript,要不然就爽歪歪了!~ 有了自定义脚本,可以跟chrome一样用conkeror了~


EMACS多操练呀~我现在已经开始弄混Ctrl c v复制粘贴和emacs中的 Ctrl c y Alt c 了……另外上下左右小键盘开始觉得不方便了很想用ctrl n p f b 来搞……


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译